// SrvrItem.h : interface of the CStrawberrySrvrItem class
//

#pragma once

class CStrawberrySrvrItem : public CDocObjectServerItem
{
	DECLARE_DYNAMIC(CStrawberrySrvrItem)

// Constructors
public:
	CStrawberrySrvrItem(CStrawberryDoc* pContainerDoc);

// Attributes
	CStrawberryDoc* GetDocument() const
		{ return reinterpret_cast<CStrawberryDoc*>(CDocObjectServerItem::GetDocument()); }

// Overrides
	public:
	virtual BOOL OnDraw(CDC* pDC, CSize& rSize);
	virtual BOOL OnGetExtent(DVASPECT dwDrawAspect, CSize& rSize);

// Implementation
public:
	~CStrawberrySrvrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
};

